#####
#####  Hlavní skript pro shiny aplikaci
#####
#####  Arnošt Komárek
#####  https://msekce.karlin.mff.cuni.cz/~komarek
#####  komarek@karlin.mff.cuni.cz
#####
##### ==========================================
library("shiny")
library("colorspace")
library("xtable")

setwd("/home/komarek/teach/mff_2023/nmst547_AdvRko/Tutorial12/Rshiny/")
load("../Data/auta2004.RData")

shinyServer(function(input, output) {
  
  ### Funkce, která nakreslí scatterplot
  output$kresli_scatterplot <- renderPlot(
  {
  
    Data <- auta
    Data <- auta[1,]
    if ("1" %in% input$Nahon) Data <- rbind(Data, subset(auta, fnahon == "predni"))
    if ("2" %in% input$Nahon) Data <- rbind(Data, subset(auta, fnahon == "zadni"))
    if ("3" %in% input$Nahon) Data <- rbind(Data, subset(auta, fnahon == "4x4"))
    Data <- Data[-1,]    
    
    XLIM <- range(auta[, input$xvar], na.rm = TRUE)
    YLIM <- range(auta[, input$yvar], na.rm = TRUE)
    BGC <- rainbow_hcl(3)
    COL <- c("red3", "blue", "darkgreen")
    names(BGC) <- names(COL) <- levels(auta[, "fnahon"])
    
    if (nrow(Data) == 0){
      plot(XLIM, YLIM, type = "n", xlab = input$xvar, ylab = input$yvar)
    }else{
      plot(Data[, input$xvar], Data[, input$yvar], xlab = input$xvar, ylab = input$yvar,
           pch = 23, col = COL[Data$fnahon], bg = BGC[Data$fnahon], xlim = XLIM, ylim = YLIM)
      if (input$chciLM){
        fit <- lm(Data[, input$yvar] ~ Data[, input$xvar])
        abline(fit, col = "orange", lwd = 2)
      }    
    }          
  }
  )     ### konec renderPlot
}  
)    ### konec shinyServer
