#####
#####  User interface skript pro shiny aplikaci
#####
#####  Arnošt Komárek
#####  https://msekce.karlin.mff.cuni.cz/~komarek
#####  komarek@karlin.mff.cuni.cz
#####
##### ==========================================
library("shiny")

shinyUI(
 
  ##### NEZAPOMÍNAT NA ČÁRKY!!!
  ##### ZA POSLEDNÍM V RÁMCI FUNKCE BÝT ČÁRKA
  ##### NAOPAK NESMÍ!!!
  #####
  ##### Chybějící čárky, resp. čárky navíc 
  ##### jsou nejčastější syntaktickou chybou.
  #####
  
  
  #### Nejjednodušší: fluidPage
  #### - sám "nějak" umístí titlePanel, sidebarPanel, mainPanel,
  ####   sidebarPanel a mainPanel jsou uvnitř sidebarLayout
  
  fluidPage(
  
    ### Název aplikace (ve zvláštním panelu)
    titlePanel("Data auta2004"),
    #headerPanel("Data auta2004"),     ### totéž
    
    ### Rozvržení dvou částí vedle sebe
    sidebarLayout(
    
      ### Vedlejší panel
      sidebarPanel(
        ### Výběr z nabídnutých možností
        ### - přiřadí se do proměnné xvar
        selectInput(inputId  = "xvar",
                    label    = strong("Variable for x-axis:"),
                    choices  = c("spotreba", "cena.prodej", "objem", "hmotnost", "delka", "sirka"),
                    selected = "hmotnost"),
        hr(),    ## oddělovač (jako html tag <hr>)
      
        ### Výběr z nabídnutých možností
        ### - přiřadí se do proměnné yvar
        selectInput(inputId  = "yvar",
                    label    = strong("Variable for y-axis:"),
                    choices  = c("spotreba", "cena.prodej", "objem", "hmotnost", "delka", "sirka"),
                    selected = "spotreba"),
        hr(),
      
        ### Zaškrtávátko
        ### - přiřadí se do proměnné chciLM
        checkboxInput(inputId = "chciLM",
                      label   = strong("Regression line?"),
                      value   = TRUE),   
        hr(),
      
        ### Skupina zaškrtávátek
        ### - přiřadí se do proměnných chciFront, chciRear, chci4x4
        checkboxGroupInput(inputId  = "Nahon",
                           label    = h3("Drive"),
                           choices  = list("Front" = 1, "Rear" = 2, "4x4" = 3),
                           selected = 1:3),
        hr() 
      ),     ## konec sidebarPanel()
  
      ### Hlavní panel
      mainPanel(
        h2("Scatterplot"),
        br(),
        p("Plot below shows a scatterplot of selected variables."),
        br(),     ### jako html tag <br>
      
        ### Scatterplot
        plotOutput(outputId = "kresli_scatterplot",
                   height   = "500px"),
      
        p("For more udělátek, see",  a("Widget gallery", href = "http://shiny.rstudio.com/gallery/widget-gallery.html"), "."),
        br()
      )       ## konec mainPanel()
    
    )    ## konec sidebarLayout
    
    #,theme = "vzorek.css"
  )     ## konec fluidPage  
)
