#####
#####  User interface skript pro shiny aplikaci
#####
#####  Arnošt Komárek
#####  https://msekce.karlin.mff.cuni.cz/~komarek
#####  komarek@karlin.mff.cuni.cz
#####
##### ==========================================
library("shiny")

shinyUI(
 
  ### Rozmístění jednotlivých částí prezentace
  ### do řádků, které se případně skládají ze sloupců
  ### viz fluidRow.
  
  fluidPage(
  
    ### Název aplikace (ve zvláštním panelu)
    titlePanel("Data auta2004"),
    #headerPanel("Data auta2004"),
    
    
    ### Scatterplot
    h3("Scatterplot"),
    plotOutput(outputId = "kresli_scatterplot",
               height   = "500px"),
    hr(),
    
    ### Tabulka popisných statistik pro x
    h3("Descriptive statistics for x"),
    tableOutput(outputId = "pocitej_summaryx"),
    hr(),

    ### Tabulka popisných statistik pro x
    h3("Descriptive statistics for y"),
    tableOutput(outputId = "pocitej_summaryy"),
    hr(),    
    
    ### Řádek s udělátky
    fluidRow(
    
      column(3,   ## kolik sloupců z 12 má zabírat tato část
        h4("Variables selection"),
        selectInput(inputId  = "xvar",
                    label    = strong("Variable for x-axis:"),
                    choices  = c("spotreba", "cena.prodej", "objem", "hmotnost", "delka", "sirka"),
                    selected = "hmotnost"),
        br(),
        selectInput(inputId  = "yvar",
                    label    = strong("Variable for y-axis:"),
                    choices  = c("spotreba", "cena.prodej", "objem", "hmotnost", "delka", "sirka"),
                    selected = "spotreba"),
        br()),
      
      column(4, offset = 1,
        h4("Draw a regression line?"),
        checkboxInput(inputId = "chciLM",
                      label   = strong("Yes"),
                      value   = TRUE),   
        br()
      ),
      
      column(3, offset = 1,
        h4("Drive selection"),
        checkboxGroupInput(inputId  = "Nahon",
                           label    = "",
                           choices  = list("Front" = 1, "Rear" = 2, "4x4" = 3),
                           selected = 1:3),
        br() 
      )
    ),    ## konec fluidRow

    hr(),
    
    p("Plot above shows a scatterplot of selected variables."),
    br()
  
    #,theme = "vzorek.css"
  )     ## konec fluidPage  
)
